Entwurf ArbeitsEbeneProxy
Jump to navigation
Jump to search
Draft
Anwenderdokumentation
Outdated translations are marked like this.
|
Menüeintrag |
---|
Entwurf → Dienstprogramme → Erstelle Arbeitsebenen Proxy |
Arbeitsbereich |
Entwurf, Architektur |
Standardtastenkürzel |
Keiner |
Eingeführt in Version |
- |
Siehe auch |
Entwurf WähleEbene |
Beschreibung
Dieser Befehl platziert ein Ebenen Proxy Objekt, ausgerichtet auf die aktuelle Arbeitsebene.
Drei Proxies der Bearbeitungsebene mit unterschiedlichen Ausrichtungen und Versätzen
Anwendung
- Stelle sicher, dass die Arbeitsebene so eingestellt ist, wie Du willst.
- Dann gehe zum Menü Draft → Dienstprogramme →
Arbeitsebenen Proxy erstellen.
For a Draft WorkingPlaneProxy these additional options are available in the Tree view context menu:
Write camera position: updates the AnsichtView Data property of the working plane proxy with the current 3D view camera settings.
Write objects state: updates the AnsichtVisibility Map property of the working plane proxy with the current visibility state of objects in the document.
Notes
Hinweise
- Die im Proxy Objekt gespeicherte Arbeitsebene kann durch einen Doppelklick auf das Objekt in der Strukturansicht oder durch Auswahl des Proxy Objekts und Verwendung der
Entwurf WähleEbene klicken.
- Die Position der Kamera wird bei der Erstellung im Proxy Objekt gespeichert. Diese Position kann jederzeit aktualisiert werden: zoomen, schwenke und drehe die Ansicht nach Belieben, klicke dann mit der rechten Maustaste auf das Proxy Objekt in der Baumansicht und wähle
Kameraposition schreiben.
- Der Sichtbarkeitsstatus aller Objekte wird bei der Erstellung ebenfalls im Proxy Objekt gespeichert. Dieser Zustand kann jederzeit aktualisiert werden: Setze die Eigenschaft AnsichtSichtbarkeit der Objekte je nach Wunsch auf
true
oderfalse
, klicke dann mit der rechten Maustaste auf das Proxy Objekt in der Baumansicht und wähleObjektzustand schreiben.
- Ebenen Proxys können wie jedes andere Objekt verschoben und gedreht werden, so dass sie die gewünschte Arbeitsebene definieren. Ihr optisches Erscheinungsbild kann auch im Eigenschafteneditor verändert werden.
Eigenschaften
See also: Property editor.
A Draft WorkingPlaneProxy object is derived from an App FeaturePython object and inherits all its properties. It also has the following additional properties:
Data
Base
- DatenPlacement (
Placement
): specifies the position of the working plane proxy in the 3D view. See Placement. - Daten (Hidden)Shape (
Shape
): specifies the shape of the working plane proxy.
View
Base
- AnsichtLine Color (
Color
): specifies the color of all elements of the working plane proxy. - AnsichtLine Width (
Float
): specifies the line width of the axes and arrow symbols. - AnsichtRestore State (
Bool
): specifies if the AnsichtVisibility Map is restored when the working plane is aligned with the working plane proxy. - AnsichtRestore View (
Bool
): specifies if the AnsichtView Data is restored when the working plane is aligned with the working plane proxy. - AnsichtTransparency (
Percent
): specifies the transparency of the face of the working plane proxy. - AnsichtView Data (
FloatList
): specifies the camera position and settings. - Ansicht (Hidden)Visibility Map (
Map
): specifies the visibility state of objects.
Draft
- AnsichtArrow Size (
Length
): specifies the size of the arrow symbols displayed at the tip of the three axes. - AnsichtDisplay Size (
Length
): specifies the length and width of the working plane proxy.
Skripten
Siehe auch: Entwurf API und FreeCAD Grundlagen Skripten.
Arbeitsebenen Proxyobjekte können in Makros und aus der Python Konsole aus mit der folgenden Funktion benutzt werden:
- Erzeugt ein
WPProxy
Objekt aus der gegebenenPlatzierung
, die einFreeCAD.Placement
ist.- Eine Platzierung wird durch einen Basispunkt, gegeben durch seinen
FreeCAD.Vector
, und eineFreeCAD.Rotation
definiert.
- Eine Platzierung wird durch einen Basispunkt, gegeben durch seinen
# This code only works if the Draft Workbench is active!
import FreeCAD as App
import FreeCADGui as Gui
import Draft
doc = App.newDocument()
workplane = App.DraftWorkingPlane
place = workplane.getPlacement()
proxy = Draft.make_workingplaneproxy(place)
proxy.ViewObject.DisplaySize = 3000
proxy.ViewObject.ArrowSize = 200
axis2 = App.Vector(1, 1, 1)
point2 = App.Vector(3000, 0, 0)
place2 = App.Placement(point2, App.Rotation(axis2, 90))
proxy2 = Draft.make_workingplaneproxy(place2)
proxy2.ViewObject.DisplaySize = 3000
proxy2.ViewObject.ArrowSize = 200
workplane.setFromPlacement(proxy2.Placement, rebase=True)
Gui.Snapper.setGrid()
doc.recompute()
- Drafting: Line, Polyline, Fillet, Arc, Arc by 3 points, Circle, Ellipse, Rectangle, Polygon, B-spline, Cubic Bézier curve, Bézier curve, Point, Facebinder, ShapeString, Hatch
- Annotation: Text, Dimension, Label, Annotation styles, Annotation scale
- Modification: Move, Rotate, Scale, Mirror, Offset, Trimex, Stretch, Clone, Array, Polar array, Circular array, Path array, Path Link array, Point Array, Point Link array, Edit, Subelement highlight, Join, Split, Upgrade, Downgrade, Wire to B-spline, Draft to Sketch, Set slope, Flip dimension, Shape 2D view
- Draft Tray: Select Plane, Set style, Toggle construction mode, AutoGroup
- Snapping: Snap Lock, Snap Endpoint, Snap Midpoint, Snap Center, Snap Angle, Snap Intersection, Snap Perpendicular, Snap Extension, Snap Parallel, Snap Special, Snap Near, Snap Ortho, Snap Grid, Snap WorkingPlane, Snap Dimensions, Toggle Grid
- Miscellaneous: Apply current style, Layer, Manage layers, Add a new named group, Move to group, Select group, Add to Construction group, Toggle normal/wireframe display, Create working plane proxy, Heal, Toggle continue mode, Show snap toolbar
- Additional: Constraining, Pattern, Preferences, Import Export Preferences, DXF/DWG, SVG, OCA, DAT
- Context menu:
- Layer container: Merge layer duplicates, Add new layer
- Layer: Activate this layer, Select layer contents
- Working plane proxy: Write camera position, Write objects state

- Erste Schritte
- Installation: Herunterladen, Windows, Linux, Mac, Zusätzlicher Komponenten, Docker, AppImage, Ubuntu Snap
- Grundlagen: Über FreeCAD, Graphische Oberfläche, Mausbedienung, Auswahlmethoden, Objektname, Programmeinstellungen, Arbeitsbereiche, Dokumentstruktur, Objekteigenschaften, Hilf FreeCAD, Spende
- Hilfe: Tutorien, Video Tutorien
- Arbeitsbereiche: Std Base, Arch, Draft, FEM, Inspection, Mesh, OpenSCAD, Part, PartDesign, Path, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Start, Surface, TechDraw, Test Framework, Web